Mobile Identity Verification Confirmation API
Completes the verification by validating the SMS OTP entered by the customer.
This service is available exclusively for Easy Cash Direct Debit enrollment with Hecto Financial.
API Information
POST/v1/api/auth/mobile/check
Content-Type
application/json; charset=UTF-8Sandbox
https://tbnpay.settlebank.co.kr/v1/api/auth/mobile/checkProduction
https://npay.settlebank.co.kr/v1/api/auth/mobile/checkRequest Parameters
Type Notation
NNumericAAlphabeticHKoreanANAlphanumericAHNAlphanumeric + Koreane.g. AN(10) = alphanumeric, up to 10 bytes
└hdInfoAN(50)Alphanumeric, up to 50 bytes*Message type code. Fixed value.
Message type code. Fixed value.
*Fixed value
└mchtIdAN(8)Alphanumeric, up to 8 bytes*Merchant ID.
Merchant ID.
└reqDtAN(8)Alphanumeric, up to 8 bytes*Request date (yyyyMMdd).
Request date (yyyyMMdd).
└reqTmAN(6)Alphanumeric, up to 6 bytes*Request time (HH24MISS).
Request time (HH24MISS).
└authNoN(6)Numeric, up to 6 bytesOTP code. Required for SMS verification.
OTP code. Required for SMS verification.
└tidAN(50)Alphanumeric, up to 50 bytes*Identity verification key. Returned in the verification request response.
Identity verification key. Returned in the verification request response.
└trdNoAN(50)Alphanumeric, up to 50 bytes*Transaction reference number. Returned in the verification request response.
Transaction reference number. Returned in the verification request response.
└custIpAN(15)Alphanumeric, up to 15 bytesCustomer IP address.
Customer IP address.
└pktHashAN(200)Alphanumeric, up to 200 bytes*
SHA-256SHA-256 HMAC signature.(auto-generated)SHA-256 HMAC signature.
NOTE
Signature Composition
mchtId + reqDt + reqTm + tid + hashKey
Response Parameters
└outStatCdAN(4)Alphanumeric, up to 4 bytes*Transaction status code.
0021Transaction status code.
0021: Success 0031: Failure└outRsltCdAN(4)Alphanumeric, up to 4 bytes*Decline code.
0000Decline code.
└outRsltMsgAN(300)Alphanumeric, up to 300 bytes*Result message.
Processed successfully.Result message.
